Bug 187383 - sylpheed-claws build w/out print dependencies
sylpheed-claws build w/out print dependencies
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: sylpheed-claws (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-30 12:22 EST by Robert Story
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-31 03:49:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Story 2006-03-30 12:22:15 EST
Description of problem:
sylpheed-claws uses libgnomeprintui for it's print dialog. the rpm in extras is
built without this dependency, so it only has 'lpr' as the print options.

Version-Release number of selected component (if applicable):
sylpheed-claws-2.0.0-2.fc4

How reproducible:
always

Steps to Reproduce:
1. try to print from sylpheed-claws
  
Actual results:
dialog box to use 'lpr %s'

Expected results:
real gnmoe dialog box, allowing one to select printer, etc

Additional info:
I rebuilt the src rpm on a system with libgnomeprintui installed, and it was
correctly detected and used. So I guess the spec file needs a Requires to that
the build system will figure out the dependency.

BTW, I had to uncomment '%{_datadir}/icons/*' from the files section in the
spec, or rpmbuild failed complaining about intalled but not packaged icons...

Note You need to log in before you can comment on or make changes to this bug.